> For the complete documentation index, see [llms.txt](https://developer.aliothx.net/start/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.aliothx.net/start/common/index/nevigation.md).

# 네비게이션

### 경로 매개변수 사용하기

경로 매개변수는 화면 간에 데이터를 전달할 때 사용됩니다. 다음 단계를 따라 경로 매개변수를 사용할 수 있습니다.

![](/files/6MQDyzP7k2o88jv1Bdix)![](/files/t1HmQPQIyVHitcv3PTkj)

1. **Path Parameter 입력**: "Path Parameter" 입력란에 전달할 값을 정수로 입력하세요. 입력된 값은 경로 매개변수로 사용됩니다.
2. **값 전달**: "path parameter 값 전달" 버튼을 누르면 입력한 값이 다른 화면으로 전달됩니다.
3. **값 받아오기**: "path parameter 값 받아오기" 버튼을 누르면 다른 화면에서 경로 매개변수를 받아옵니다. 이 값을 받아온 후 화면에 표시합니다.

```dart
buttonTemp(
                'path parameter 값 전달',
                () => context.router.navigate(
                    SendPathParamsRoute(id: int.parse(myController.text))));
```

```dart
buttonTemp(
                'path parameter 값 받아오기',
                () => context.router.navigate(
                      ReceivePathParamsRoute(
                          id: int.parse(myController.text),
                          onCallBack: (pathParam) {
                            setState(() {
                              _receivedPathParam = pathParam;
                            });
                          }),
                    ));
```

### 탭 페이지로 이동

앱 내에서 탭 페이지로 이동하려면 다음 단계를 따르세요:

![](/files/yGXLFBU3OJ9ZCR0sQ5Vj)![](/files/pQ9de7yvVGdOuf8DT2Jz)

1. **"다른 탭 페이지로 이동" 버튼 클릭**: 이 버튼을 클릭하면 탭 페이지로 이동합니다.
2. **탭 페이지 내비게이션**: 탭 페이지 내에서 다양한 화면 간 전환을 수행할 수 있습니다.

### 주의사항

* 경로 매개변수를 전달할 때 올바른 값을 입력해야 합니다. 부정확한 값은 오류를 발생시킬 수 있습니다.
* 네비게이션을 통해 다른 화면으로 이동할 때, 앱 내에서 화면 간의 전환을 쉽게 관리할 수 있습니다.

Flutter 앱에서 네비게이션과 경로 매개변수를 활용하는 방법을 참고하여, 이러한 기능을 통해 사용자에게 더 나은 앱 경험을 제공할 수 있습니다.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.aliothx.net/start/common/index/nevigation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
